summaryrefslogtreecommitdiffstats
path: root/office/kmobiletools
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:49 +0200
commit16c07bf41ed85ecaf23f5490a7954af66bbb0e7c (patch)
tree5e8eef63f61761d2a8caf1ef4370b1da13d228cc /office/kmobiletools
parent900ae97b15d76bed1e184c7c89d17f3a43e099da (diff)
downloadslackbuilds-16c07bf41ed85ecaf23f5490a7954af66bbb0e7c.tar.gz
slackbuilds-16c07bf41ed85ecaf23f5490a7954af66bbb0e7c.tar.xz
office/kmobiletools: Added to 12.0 repository
Diffstat (limited to 'office/kmobiletools')
-rw-r--r--office/kmobiletools/README6
-rw-r--r--office/kmobiletools/doinst.sh4
-rw-r--r--office/kmobiletools/kmobiletools.SlackBuild77
-rw-r--r--office/kmobiletools/kmobiletools.info8
-rw-r--r--office/kmobiletools/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/office/kmobiletools/README b/office/kmobiletools/README
new file mode 100644
index 0000000000..2bbe1cc26e
--- /dev/null
+++ b/office/kmobiletools/README
@@ -0,0 +1,6 @@
+KMobileTools is a KDE application that allows you to control your
+mobile phone from your GNU/Linux workstation. You can connect
+your phone via a serial-cable, via usb or via bluetooth.
+
+If you want bluetooth support you'll have to install kdebluetooth,
+which is also available from SlackBuilds.org. \ No newline at end of file
diff --git a/office/kmobiletools/doinst.sh b/office/kmobiletools/doinst.sh
new file mode 100644
index 0000000000..eec7ae1d81
--- /dev/null
+++ b/office/kmobiletools/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/office/kmobiletools/kmobiletools.SlackBuild b/office/kmobiletools/kmobiletools.SlackBuild
new file mode 100644
index 0000000000..cb53b1ee60
--- /dev/null
+++ b/office/kmobiletools/kmobiletools.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for kmobiletools
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kmobiletools
+VERSION=0.5.0-beta3
+PKGVER=0.5.0beta3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --sysconfdir=/etc/kde \
+ --localstatedir=/var \
+ --without-gammu
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVER
+cp -a AUTHORS COPYING ChangeLog INSTALL README TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$PKGVER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz
diff --git a/office/kmobiletools/kmobiletools.info b/office/kmobiletools/kmobiletools.info
new file mode 100644
index 0000000000..d78ede84ba
--- /dev/null
+++ b/office/kmobiletools/kmobiletools.info
@@ -0,0 +1,8 @@
+PRGNAM="kmobiletools"
+VERSION="0.5.0beta3"
+HOMEPAGE="http://www.kmobiletools.org"
+DOWNLOAD="http://download.berlios.de/kmobiletools/kmobiletools-0.5.0-beta3.tar.bz2"
+MD5SUM="2880ca9b21ba4f70088be64b6ef6a39b"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="David Somero"
diff --git a/office/kmobiletools/slack-desc b/office/kmobiletools/slack-desc
new file mode 100644
index 0000000000..f05b9d2aec
--- /dev/null
+++ b/office/kmobiletools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+kmobiletools: kmobiletools (KDE Phone Manager)
+kmobiletools:
+kmobiletools: KMobileTools is a KDE application that allows you to control your
+kmobiletools: mobile phone from your GNU/Linux workstation. You can connect
+kmobiletools: your phone via a serial-cable, via usb or via bluetooth.
+kmobiletools:
+kmobiletools: Homepage: http://www.kmobiletools.org
+kmobiletools:
+kmobiletools:
+kmobiletools:
+kmobiletools: